Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.multimediamessaging.mm7.management
Interface MessagingManagementMBean

public interface MessagingManagementMBean

The management interface for the MultimediaMessaging MM7 Plug-in

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static String` | `defaultPriority` Default Priority.
`static boolean` | `HTTPBasicAuthentication` Flag whether or not to use Basic HTTP Authentication
`static String` | `HTTPBasicAuthenticationPassword` Basic HTTP Authentication password
`static String` | `HTTPBasicAuthenticationUsername` Basic HTTP Authentication username
`static String` | `mm7relayserverAddress` The address to the MM7 Relay Server
`static String` | `MM7Version` MM7Version
`static int` | `requestDeliveryReportFlag` RequestDeliveryReportFlag.
`static String` | `vasId` The Value Added Service Identification
`static String` | `vaspId` The Value Added Service Provider Identification
`static String` | `XSDVersion` The XSD Version that should be used for requests towards the MMS-C.

Method Summary
`String` | `enableReceiveMms(String shortCode, String criteria, String appInstanceID)` This method is used to add an offline notification for applications that will poll for MO messages.
`String` | `getDefaultPriority()`
`boolean` | `getHTTPBasicAuthentication()`
`String` | `getHTTPBasicAuthenticationPassword()`
`String` | `getHTTPBasicAuthenticationUsername()`
`String` | `getMm7relayserverAddress()`
`String` | `getMM7Version()`
`NotificationInfo` | `getOfflineNotificationInfo(String correlator)` Get the notification associated with the specified correlator.
`NotificationInfo` | `getOnlineNotificationInfo(String correlator)` Get the notification associated with the specified correlator.
`int` | `getRequestDeliveryReportFlag()`
`String` | `getVasId()`
`String` | `getVaspId()`
`String` | `getXSDVersion()`
`String[]` | `listOfflineNotificationInfo()`
`String[]` | `listOnlineNotificationInfo()`
`void` | `removeOfflineNotificationInfo(String registrationIdentifier)` Remove an offline notification that was added using the OAM enableReceiveMms method
`void` | `removeOnlineNotificationInfo(String correlator)` Remove the specified online notification that was added using OAM interfaces or application interfaces (startMessageNotification).
`void` | `setDefaultPriority(String value)`
`void` | `setHTTPBasicAuthentication(boolean value)`
`void` | `setHTTPBasicAuthenticationPassword(String value)`
`void` | `setHTTPBasicAuthenticationUsername(String value)`
`void` | `setMm7relayserverAddress(String value)`
`void` | `setMM7Version(String value)`
`void` | `setRequestDeliveryReportFlag(int value)`
`void` | `setVasId(String value)`
`void` | `setVaspId(String value)`
`void` | `setXSDVersion(String value)`
`String` | `startMessageNotification(String endpoint, String shortCode, String criteria, String appInstanceID)` Add an online notification for applications that for some reason can not (or are not allowed) call the startMessageNotification method.

Field Detail

### defaultPriority

    public static final String defaultPriority

  Default Priority. Format: String [low|high|normal]

  See Also:
    Constant Field Values

### HTTPBasicAuthentication

    public static final boolean HTTPBasicAuthentication

  Flag whether or not to use Basic HTTP Authentication

  See Also:
    Constant Field Values

### HTTPBasicAuthenticationPassword

    public static final String HTTPBasicAuthenticationPassword

  Basic HTTP Authentication password

  See Also:
    Constant Field Values

### HTTPBasicAuthenticationUsername

    public static final String HTTPBasicAuthenticationUsername

  Basic HTTP Authentication username

  See Also:
    Constant Field Values

### mm7relayserverAddress

    public static final String mm7relayserverAddress

  The address to the MM7 Relay Server

  See Also:
    Constant Field Values

### MM7Version

    public static final String MM7Version

  MM7Version

  See Also:
    Constant Field Values

### requestDeliveryReportFlag

    public static final int requestDeliveryReportFlag

  RequestDeliveryReportFlag. 0 - deliveryNotifications are always OFF (no polling functionality available). 1 - deliveryNotifications are ON IF sendMessage has an endpoint OR the application sends an XParam with 'com.bea.wlcp.wlng.plugin.multimediamessaging.RequestDeliveryReportFlag' set to 'true'. 2 - deliveryNotifications are always ON Format: int [0-2]

  See Also:
    Constant Field Values

### vasId

    public static final String vasId

  The Value Added Service Identification

  See Also:
    Constant Field Values

### vaspId

    public static final String vaspId

  The Value Added Service Provider Identification

  See Also:
    Constant Field Values

### XSDVersion

    public static final String XSDVersion

  The XSD Version that should be used for requests towards the MMS-C. "REL-5-MM7-1-0" represents an altered version of the standard REL-5-MM7-1-0 XSD for use with the Comverse MMS-C. Format: String [REL-5-MM7-1-0|REL-5-MM7-1-2|REL-5-MM7-1-5]

  See Also:
    Constant Field Values

Method Detail

### enableReceiveMms

    public String enableReceiveMms(String shortCode,
                                   String criteria,
                                   String appInstanceID)
                            throws ManagementException

  This method is used to add an offline notification for applications that will poll for MO messages. MO messages matching this notification will not result in a callback to an application, the application has to use the correlator returned by this method and poll for new messages.

  Parameters:
    `shortCode` - The destination address/service activation number of the short message with URI prefixed, e.g. "tel:6001".
    `criteria` - The text to match against to determine the application to receive the notification.
    `appInstanceID` - The applicationInstanceID to associate with this notification.
  Returns:
    Returns the correlator uniquely identifying the new notification (known as 'registrationIdentifier' in Parlay X)
  Throws:
    `ManagementException`

### getDefaultPriority

    public String getDefaultPriority()
                              throws ManagementException

  Throws:
    `ManagementException`

### getHTTPBasicAuthentication

    public boolean getHTTPBasicAuthentication()
                                       throws ManagementException

  Throws:
    `ManagementException`

### getHTTPBasicAuthenticationPassword

    public String getHTTPBasicAuthenticationPassword()
                                              throws ManagementException

  Throws:
    `ManagementException`

### getHTTPBasicAuthenticationUsername

    public String getHTTPBasicAuthenticationUsername()
                                              throws ManagementException

  Throws:
    `ManagementException`

### getMm7relayserverAddress

    public String getMm7relayserverAddress()
                                    throws ManagementException

  Throws:
    `ManagementException`

### getMM7Version

    public String getMM7Version()
                         throws ManagementException

  Throws:
    `ManagementException`

### getOfflineNotificationInfo

    public NotificationInfo getOfflineNotificationInfo(String correlator)
                                                throws ManagementException

  Get the notification associated with the specified correlator. An offline notification is a notification that has been added using the OAM enableReceiveMms method.

  Throws:
    `ManagementException`

### getOnlineNotificationInfo

    public NotificationInfo getOnlineNotificationInfo(String correlator)
                                               throws ManagementException

  Get the notification associated with the specified correlator. An online notification is a notification that has been added using startMessageNotification, through OAM interfaces or through an application interface.

  Throws:
    `ManagementException`

### getRequestDeliveryReportFlag

    public int getRequestDeliveryReportFlag()
                                     throws ManagementException

  Throws:
    `ManagementException`

### getVasId

    public String getVasId()
                    throws ManagementException

  Throws:
    `ManagementException`

### getVaspId

    public String getVaspId()
                     throws ManagementException

  Throws:
    `ManagementException`

### getXSDVersion

    public String getXSDVersion()
                         throws ManagementException

  Throws:
    `ManagementException`

### listOfflineNotificationInfo

    public String[] listOfflineNotificationInfo()
                                         throws ManagementException

  Throws:
    `ManagementException`

### listOnlineNotificationInfo

    public String[] listOnlineNotificationInfo()
                                        throws ManagementException

  Throws:
    `ManagementException`

### removeOfflineNotificationInfo

    public void removeOfflineNotificationInfo(String registrationIdentifier)
                                       throws ManagementException

  Remove an offline notification that was added using the OAM enableReceiveMms method

  Parameters:
    `registrationIdentifier` - registration identifier
  Throws:
    `ManagementException`

### removeOnlineNotificationInfo

    public void removeOnlineNotificationInfo(String correlator)
                                      throws ManagementException

  Remove the specified online notification that was added using OAM interfaces or application interfaces (startMessageNotification).

  Parameters:
    `correlator` -
  Throws:
    `ManagementException`

### setDefaultPriority

    public void setDefaultPriority(String value)
                            throws ManagementException

  Throws:
    `ManagementException`

### setHTTPBasicAuthentication

    public void setHTTPBasicAuthentication(boolean value)
                                    throws ManagementException

  Throws:
    `ManagementException`

### setHTTPBasicAuthenticationPassword

    public void setHTTPBasicAuthenticationPassword(String value)
                                            throws ManagementException

  Throws:
    `ManagementException`

### setHTTPBasicAuthenticationUsername

    public void setHTTPBasicAuthenticationUsername(String value)
                                            throws ManagementException

  Throws:
    `ManagementException`

### setMm7relayserverAddress

    public void setMm7relayserverAddress(String value)
                                  throws ManagementException

  Throws:
    `ManagementException`

### setMM7Version

    public void setMM7Version(String value)
                       throws ManagementException

  Throws:
    `ManagementException`

### setRequestDeliveryReportFlag

    public void setRequestDeliveryReportFlag(int value)
                                      throws ManagementException

  Throws:
    `ManagementException`

### setVasId

    public void setVasId(String value)
                  throws ManagementException

  Throws:
    `ManagementException`

### setVaspId

    public void setVaspId(String value)
                   throws ManagementException

  Throws:
    `ManagementException`

### setXSDVersion

    public void setXSDVersion(String value)
                       throws ManagementException

  Throws:
    `ManagementException`

### startMessageNotification

    public String startMessageNotification(String endpoint,
                                           String shortCode,
                                           String criteria,
                                           String appInstanceID)
                                    throws ManagementException

  Add an online notification for applications that for some reason can not (or are not allowed) call the startMessageNotification method.

  Parameters:
    `endpoint` - The notification endpoint
    `shortCode` - The destination address/service activation number of the short message
    `criteria` - The text to match against to determine the application to receive the notification.
    `appInstanceID` - The applicationInstanceID to associate with this notification.
  Returns:
    Returns the correlator uniquely identifying the new notification.
  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD